[Unit]
Description=Keycloak
After=network.target

[Service]
Type=idle
User={{ keycloak_user }}
Group={{ keycloak_group }}
SuccessExitStatus=0 143
ExecStart=!{{ keycloak_workfolder }}/bin/kc.sh start --hostname=keycloak.mydomain.com
TimeoutStartSec=600
TimeoutStopSec=600
Environment="KEYCLOAK_ADMIN={{ keycloak_admin_user }}"
Environment="KEYCLOAK_ADMIN_PASSWORD={{ keycloak_admin_password }}"

[Install]
WantedBy=multi-user.target
